注册 登录
明经CAD社区 返回首页

13648893846的个人空间 http://www.mjtd.com/?7322544 [收藏] [复制] [分享] [RSS]

日志

生成带凸度多段线

已有 331 次阅读2018-8-6 20:30 |系统分类:应用

;;[功能]生成带凸度多段线
;;[用法](LC:make-arcpline (getpoint "\n 请输入圆弧第一点:") (getpoint "\n 请输入圆弧第二点:") (getreal "\n 请输入圆弧凸度:"))
;;[作者]BY 老仓测绘上班记
;;;(setq pt1 (getpoint "\n 请输入圆弧第一点:")
;;;      pt2 (getpoint "\n 请输入圆弧第二点:")
;;;      arcBulge -0.426309)
(defun LC:make-arcpline (pt1 pt2 arcBulge / pt1 pt2 arcBulge arclst)
  (setq arclst (list '(0 . "LWPOLYLINE") '(100 . "AcDbEntity") '(8 . "AXIS") '(62 . 6) '(100 . "AcDbPolyline") '(90 . 2) (cons 10 pt1)
     (cons 42 arcBulge) (cons 10 pt2)))
  (entmake arclst)
)

路过

雷人

握手

鲜花

鸡蛋

评论 (0 个评论)

facelist doodle 涂鸦板

您需要登录后才可以评论 登录 | 注册

小黑屋|手机版|CAD论坛|CAD教程|CAD下载|联系我们|关于明经|明经通道 ( 粤ICP备05003914号  
©2000-2017 明经通道 版权所有 本站代码,在未取得本站及作者授权的情况下,不得用于商业用途

GMT+8, 2018-12-11 04:09 , Processed in 0.100398 second(s), 18 queries , Gzip On.

Powered by Discuz! X3.3

© 2001-2013 Comsenz Inc.

返回顶部